CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
math Namespace Reference

## Classes
class | matrix_error
class | matrix

## Functions
MAT_TEMPLATE istream & | operator>> (istream &istrm, matrixT &m)
MAT_TEMPLATE ostream & | operator<< (ostream &ostrm, const matrixT &m)
MAT_TEMPLATE bool | operator== (const matrixT &m1, const matrixT &m2) _NO_THROW
MAT_TEMPLATE bool | operator!= (const matrixT &m1, const matrixT &m2) _NO_THROW
MAT_TEMPLATE matrixT | operator+ (const matrixT &m1, const matrixT &m2) _THROW_MATRIX_ERROR
MAT_TEMPLATE matrixT | operator- (const matrixT &m1, const matrixT &m2) _THROW_MATRIX_ERROR
MAT_TEMPLATE matrixT | operator* (const matrixT &m, const T &no) _NO_THROW
MAT_TEMPLATE matrixT | operator* (const T &no, const matrixT &m) _NO_THROW
MAT_TEMPLATE matrixT | operator* (const matrixT &m1, const matrixT &m2) _THROW_MATRIX_ERROR
MAT_TEMPLATE matrixT | operator/ (const matrixT &m, const T &no) _NO_THROW
MAT_TEMPLATE matrixT | operator/ (const T &no, const matrixT &m) _THROW_MATRIX_ERROR
MAT_TEMPLATE matrixT | operator/ (const matrixT &m1, const matrixT &m2) _THROW_MATRIX_ERROR
MAT_TEMPLATE matrixT | operator^ (const matrixT &m, const size_t &pow) _THROW_MATRIX_ERROR
MAT_TEMPLATE matrixT | operator~ (const matrixT &m) _NO_THROW
MAT_TEMPLATE matrixT | operator! (const matrixT m) _THROW_MATRIX_ERROR

## Function Documentation

MAT_TEMPLATE istream& math::operator>> | ( | istream & | istrm,
|  | matrixT & | m
| ) |  |
| inline

Definition at line 434 of file matrix.hpp.

MAT_TEMPLATE ostream& math::operator<< | ( | ostream & | ostrm,
|  | const matrixT & | m
| ) |  |
| inline

Definition at line 448 of file matrix.hpp.

MAT_TEMPLATE bool math::operator== | ( | const matrixT & | m1,
|  | const matrixT & | m2
| ) |  |
| inline

Definition at line 465 of file matrix.hpp.

MAT_TEMPLATE bool math::operator!= | ( | const matrixT & | m1,
|  | const matrixT & | m2
| ) |  |
| inline

Definition at line 480 of file matrix.hpp.

MAT_TEMPLATE matrixT math::operator+ | ( | const matrixT & | m1,
|  | const matrixT & | m2
| ) |  |
| inline

Definition at line 582 of file matrix.hpp.

References matrixT.

MAT_TEMPLATE matrixT math::operator- | ( | const matrixT & | m1,
|  | const matrixT & | m2
| ) |  |
| inline

Definition at line 591 of file matrix.hpp.

References matrixT.

MAT_TEMPLATE matrixT math::operator* | ( | const matrixT & | m,
|  | const T & | no
| ) |  |
| inline

Definition at line 600 of file matrix.hpp.

References matrixT.

MAT_TEMPLATE matrixT math::operator* | ( | const T & | no,
|  | const matrixT & | m
| ) |  |
| inline

Definition at line 610 of file matrix.hpp.

MAT_TEMPLATE matrixT math::operator* | ( | const matrixT & | m1,
|  | const matrixT & | m2
| ) |  |
| inline

Definition at line 617 of file matrix.hpp.

References matrixT.

MAT_TEMPLATE matrixT math::operator/ | ( | const matrixT & | m,
|  | const T & | no
| ) |  |
| inline

Definition at line 627 of file matrix.hpp.

MAT_TEMPLATE matrixT math::operator/ | ( | const T & | no,
|  | const matrixT & | m
| ) |  |
| inline

Definition at line 635 of file matrix.hpp.

MAT_TEMPLATE matrixT math::operator/ | ( | const matrixT & | m1,
|  | const matrixT & | m2
| ) |  |
| inline

Definition at line 642 of file matrix.hpp.

MAT_TEMPLATE matrixT math::operator^ | ( | const matrixT & | m,
|  | const size_t & | pow
| ) |  |
| inline

Definition at line 649 of file matrix.hpp.

References matrixT.

MAT_TEMPLATE matrixT math::operator~ | ( | const matrixT & | m | ) |
| inline

Definition at line 658 of file matrix.hpp.

References matrixT.

MAT_TEMPLATE matrixT math::operator! | ( | const matrixT | m | ) |
| inline

Definition at line 673 of file matrix.hpp.

References matrixT.